<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.hotent.project.dao.CostProjectDeliberateDao">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.hotent.project.model.CostProjectDeliberate">
        <id column="id" property="id" />
    <result column="project_id" property="projectId" />
    <result column="deliberation_form" property="deliberationForm" />
    <result column="begin_time" property="beginTime" />
    <result column="end_time" property="endTime" />
    <result column="location" property="location" />
    <result column="host_person" property="hostPerson" />
    <result column="record_person" property="recordPerson" />
    <result column="participants" property="participants" />
    <result column="enterprise_id" property="enterpriseId" />
    <result column="deliberation_content" property="deliberationContent" />
    <result column="conclusion_opinion" property="conclusionOpinion" />
    <result column="attachment_ids" property="attachmentIds" />
    <result column="is_deleted" property="isDeleted" />
    <result column="create_time" property="createTime" />
    <result column="create_by" property="createBy" />
    <result column="update_time" property="updateTime" />
    <result column="update_by" property="updateBy" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, project_id, deliberation_form, begin_time, end_time, location, host_person, record_person, participants, enterprise_id, deliberation_content, conclusion_opinion, attachment_ids, is_deleted, create_time, create_by, update_time, update_by
    </sql>

	<select id="selectPage" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_deliberate
		${ew.customSqlSegment}
	</select>
	
	<select id="selectList" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_deliberate
		${ew.customSqlSegment}
	</select>
	
	<select id="selectById" resultMap="BaseResultMap">
		select 
			<include refid="Base_Column_List"/> 
		from
			cost_project_deliberate
		where 
		    id = ${id}
	</select>
</mapper>
